/*
 * Copyright  2005 Sun Microsystems Inc. All rights reserved. Use is subject to license terms.
 *  
 */

/*
 * Created on Jan 20, 2005
 */
package com.sunlabs.archsim.gasp.terminals;

import com.sunlabs.archsim.base.hierarchy.CompositeEntity;
import com.sunlabs.archsim.gasp.Terminal;
/**
 * @author ib27688
 *
 * A generic input terminal. This class allows input terminals
 * to be set either self-resetting or non-resetting.
 * The default is self-resetting.
 */
public class InputTerminal extends Terminal {

	public InputTerminal(String name) {
		super(name);
		role= SELF_RESETTING_INPUT;
	} // InputTerminal constructor

	public InputTerminal(String name, CompositeEntity g) {
		this(name);
		setParent(g);
	} // InputTerminal constructor
	
	
	public void beNonResetting() {
		role= NON_RESETTING_INPUT;
	} // beNonResertting
	
	public void beSelfResetting() {
		role= SELF_RESETTING_INPUT;
	} // beSelfResettin

} // InputTerminal
